<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="anketa@localhost">
  <database-model serializer="dbm" rdbms="MYSQL" format-version="4.0">
    <root id="1"/>
    <schema id="2" parent="1" name="anketa">
      <Current>1</Current>
      <Visible>1</Visible>
    </schema>
    <schema id="3" parent="1" name="information_schema"/>
    <schema id="4" parent="1" name="mysql"/>
    <schema id="5" parent="1" name="performance_schema"/>
    <schema id="6" parent="1" name="sakila"/>
    <schema id="7" parent="1" name="sys"/>
    <schema id="8" parent="1" name="world"/>
    <table id="9" parent="2" name="clients"/>
    <table id="10" parent="2" name="groups"/>
    <table id="11" parent="2" name="moderators"/>
    <table id="12" parent="2" name="projects"/>
    <table id="13" parent="2" name="st_pr"/>
    <table id="14" parent="2" name="students"/>
    <table id="15" parent="2" name="users"/>
    <column id="16" parent="9" name="client_id">
      <Position>1</Position>
      <DataType>int(11)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="17" parent="9" name="cl_family">
      <Position>2</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="18" parent="9" name="cl_first_name">
      <Position>3</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="19" parent="9" name="cl_sec_name">
      <Position>4</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="20" parent="9" name="cl_password">
      <Position>5</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <key id="21" parent="9" name="PRIMARY">
      <ColNames>client_id</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="22" parent="10" name="group_id">
      <Position>1</Position>
      <DataType>int(11)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="23" parent="10" name="group_name">
      <Position>2</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="24" parent="10" name="year">
      <Position>3</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <key id="25" parent="10" name="PRIMARY">
      <ColNames>group_id</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="26" parent="11" name="mod_id">
      <Position>1</Position>
      <DataType>int(11)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="27" parent="11" name="mod_family">
      <Position>2</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="28" parent="11" name="mod_first_name">
      <Position>3</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="29" parent="11" name="mod_sec_name">
      <Position>4</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="30" parent="11" name="mod_password">
      <Position>5</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="31" parent="11" name="mod_birthdate">
      <Position>6</Position>
      <DataType>varchar(255)|0</DataType>
      <DefaultExpression>&apos;11.11.2011&apos;</DefaultExpression>
    </column>
    <column id="32" parent="11" name="mod_email">
      <Position>7</Position>
      <DataType>varchar(255)|0</DataType>
      <DefaultExpression>&apos;pochta@mail.ru&apos;</DefaultExpression>
    </column>
    <column id="33" parent="11" name="mod_hometown">
      <Position>8</Position>
      <DataType>varchar(255)|0</DataType>
      <DefaultExpression>&apos;Город&apos;</DefaultExpression>
    </column>
    <column id="34" parent="11" name="mod_phone">
      <Position>9</Position>
      <DataType>varchar(255)|0</DataType>
      <DefaultExpression>&apos;0000000000&apos;</DefaultExpression>
    </column>
    <key id="35" parent="11" name="PRIMARY">
      <ColNames>mod_id</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="36" parent="12" name="pr_id">
      <Position>1</Position>
      <DataType>int(11)|0</DataType>
      <NotNull>1</NotNull>
      <SequenceIdentity>1</SequenceIdentity>
    </column>
    <column id="37" parent="12" name="title">
      <Position>2</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="38" parent="12" name="description">
      <Position>3</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="39" parent="12" name="date_of_creation">
      <Position>4</Position>
      <DataType>timestamp|0</DataType>
      <NotNull>1</NotNull>
      <DefaultExpression>CURRENT_TIMESTAMP</DefaultExpression>
    </column>
    <column id="40" parent="12" name="status">
      <Position>5</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="41" parent="12" name="date_of_ready">
      <Position>6</Position>
      <DataType>date|0</DataType>
    </column>
    <column id="42" parent="12" name="sum">
      <Position>7</Position>
      <DataType>int(11)|0</DataType>
    </column>
    <column id="43" parent="12" name="mod_id">
      <Position>8</Position>
      <DataType>int(11)|0</DataType>
    </column>
    <column id="44" parent="12" name="client_id">
      <Position>9</Position>
      <DataType>int(11)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="45" parent="12" name="jsondata">
      <Position>10</Position>
      <DataType>varchar(255)|0</DataType>
      <DefaultExpression>&apos;[]&apos;</DefaultExpression>
    </column>
    <index id="46" parent="12" name="FK_ffb6klvqmnwust69pdfgau69i">
      <ColNames>client_id</ColNames>
    </index>
    <index id="47" parent="12" name="pr_modFK_idx">
      <ColNames>mod_id</ColNames>
    </index>
    <key id="48" parent="12" name="PRIMARY">
      <ColNames>pr_id</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="49" parent="12" name="pr_modFK">
      <ColNames>mod_id</ColNames>
      <RefSchemaName>anketa</RefSchemaName>
      <RefTableName>moderators</RefTableName>
      <RefColNames>mod_id</RefColNames>
      <OnUpdate>no-action</OnUpdate>
      <OnDelete>no-action</OnDelete>
    </foreign-key>
    <foreign-key id="50" parent="12" name="FK_ffb6klvqmnwust69pdfgau69i">
      <ColNames>client_id</ColNames>
      <RefSchemaName>anketa</RefSchemaName>
      <RefTableName>clients</RefTableName>
      <RefColNames>client_id</RefColNames>
    </foreign-key>
    <column id="51" parent="13" name="id">
      <Position>1</Position>
      <DataType>int(11)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="52" parent="13" name="st_id">
      <Position>2</Position>
      <DataType>int(11)|0</DataType>
    </column>
    <column id="53" parent="13" name="pr_id">
      <Position>3</Position>
      <DataType>int(11)|0</DataType>
    </column>
    <index id="54" parent="13" name="prFK_idx">
      <ColNames>pr_id</ColNames>
    </index>
    <index id="55" parent="13" name="stFK_idx">
      <ColNames>st_id</ColNames>
    </index>
    <key id="56" parent="13" name="PRIMARY">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="57" parent="13" name="stFK">
      <ColNames>st_id</ColNames>
      <RefSchemaName>anketa</RefSchemaName>
      <RefTableName>students</RefTableName>
      <RefColNames>students_id</RefColNames>
      <OnUpdate>no-action</OnUpdate>
      <OnDelete>no-action</OnDelete>
    </foreign-key>
    <foreign-key id="58" parent="13" name="prFK">
      <ColNames>pr_id</ColNames>
      <RefSchemaName>anketa</RefSchemaName>
      <RefTableName>projects</RefTableName>
      <RefColNames>pr_id</RefColNames>
      <OnUpdate>no-action</OnUpdate>
      <OnDelete>no-action</OnDelete>
    </foreign-key>
    <column id="59" parent="14" name="students_id">
      <Position>1</Position>
      <DataType>int(11)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="60" parent="14" name="group_id">
      <Position>2</Position>
      <DataType>int(11)|0</DataType>
    </column>
    <column id="61" parent="14" name="st_family">
      <Position>3</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="62" parent="14" name="st_first_name">
      <Position>4</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="63" parent="14" name="st_sec_name">
      <Position>5</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="64" parent="14" name="st_pk_number">
      <Position>6</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <index id="65" parent="14" name="stud_groupFK_idx">
      <ColNames>group_id</ColNames>
    </index>
    <key id="66" parent="14" name="PRIMARY">
      <ColNames>students_id</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="67" parent="14" name="stud_groupFK">
      <ColNames>group_id</ColNames>
      <RefSchemaName>anketa</RefSchemaName>
      <RefTableName>groups</RefTableName>
      <RefColNames>group_id</RefColNames>
      <OnUpdate>no-action</OnUpdate>
      <OnDelete>no-action</OnDelete>
    </foreign-key>
    <column id="68" parent="15" name="user_id">
      <Position>1</Position>
      <DataType>int(11)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="69" parent="15" name="user_login">
      <Position>2</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <column id="70" parent="15" name="user_password">
      <Position>3</Position>
      <DataType>varchar(45)|0</DataType>
    </column>
    <key id="71" parent="15" name="PRIMARY">
      <ColNames>user_id</ColNames>
      <Primary>1</Primary>
    </key>
  </database-model>
</dataSource>